* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}
body{
    cursor: none;
    animation: fadeIn 2.5s forwards;
     opacity: 0;
}
@keyframes fadeIn {
    to {
        opacity: 1;
    }
}

.header {
    background-color: #131313;
    color: #fff;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    height: 100px;
    align-items: center;
    width: 100%;
    position: fixed;
    top: 0;
    z-index: 1000;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.3);
    opacity: 0;
    animation: slideInDown 1s forwards;
    cursor: pointer;
}
@keyframes slideInDown {
    from {
        transform: translateY(-100%);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

.header a {
    color: #fff;
    text-decoration: none;
    margin-right: 20px;

}

.header a:hover {
    color: #0debff;
    transform: scale(1.1);
}

.logo {
    display: flex;
    justify-content: center;
    align-items: center;

}

.logo img {
    width: 200px;
    height: auto;

}

.lienket {
    display: flex;
    justify-content: center;
    align-items: center;
}
.search {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.search input {
    padding: 10px;
    border-radius: 13px;
    border: none;
    outline: none;
    width: 300px;
    height: 30px;
    font-family: Arial, sans-serif;
    box-shadow: 0 2px 5px rgba(196, 196, 196, 0.5);

}
.search img {
    width: 30px;
    height: 30px;
}
/* Home.css */
.item_results {
    display: none; /* Hidden initially */
    position: fixed;
    left: 40%;
    transform: translateX(-50%); /* Center the results */
    top: 105px; /* Position below the header */
    z-index: 1000; /* Ensure results stay on top */
    opacity: 0;
    animation: fadeInUp 1s forwards; /* Entry animation */
}
.search-result-item {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 350px;
    background-color: rgb(20, 19, 19);
    border-radius: 20px;
    margin-bottom: 10px;
    padding: 10px;
    height: 120px;
    box-shadow: 0 2px 5px rgba(28, 217, 255, 0.5);
    cursor: pointer;
    transition: transform 0.2s ease-in-out;
  
}


@keyframes fadeInUp {
    from {
        transform: translateY(20px);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}
.item_results:hover {
    cursor: pointer;
}
.item_results img {
    max-width: 80px; /* Đặt chiều rộng tối đa cho hình ảnh */
    height: auto; /* Chiều cao tự động điều chỉnh */
    margin-right: 10px; /* Khoảng cách giữa hình ảnh và nội dung */
    margin-bottom: 15px; /* Khoảng cách dưới hình ảnh */
}

.item_results .content {
    display: inline-block;
    text-align: left; /* Canh lề trái cho nội dung */
    vertical-align: top; /* Canh lề trên cho nội dung */
    width: 58%; /* Đặt chiều rộng cho nội dung */
}

/* CSS cho nội dung chi tiết của mỗi dịch vụ */
.item .content h4 {
    margin-top: 0; /* Loại bỏ khoảng cách trên đầu tiêu đề */
    margin-bottom: 5px; /* Khoảng cách dưới tiêu đề */
    align-items: center;
    justify-content: center;
}

.item .content p {
    margin-top: 0; /* Loại bỏ khoảng cách trên đầu đoạn văn */
}

.item_results.active {
    display: block; /* Hiển thị kết quả tìm kiếm khi có kết quả */

}

/* CSS cho phần logoservice */
#logoservice {
    width: 320px;
    height:auto;
    cursor: pointer;
    transition: 0.1s;
    overflow: visible; 
    margin-right: 30px;
  }

#logoservice:hover {
    transform: scale(1.4);
  }
img {
    width: 400px;
    height: 400px;
    border-radius: 50%;
}

body {
    font-family: Arial, sans-serif;
    background-color: #1c1c1c;
}

.body {
    display: flex;
    align-items: center;
    height: 80vh;
    gap: 0px;
    padding: 50px;
    justify-content: space-between;
    opacity: 0;
    animation: fadeInUp 2s 0.3s forwards; /* Delayed animation */
}






.wrapper {
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-self: center;
    overflow: hidden;
}
.cols{
    width: 100%;
}
.topline {
    display: block;
    position: relative;
    font-size: 30px;
    letter-spacing: 5px;
    color: #0debff;
}
.topline::after {
    content: '';
    position: absolute;
    height: 3px;
    width: 30px;
    bottom: 10px;
}
.cols h1{
    display: block;
    font-size: 2.6em;
    font-weight: 600;
    font-family: 'ten2';
    margin-bottom: 40px;
    color: #fff;
}
.multiText {
    color: #02e6ff;
    text-transform: capitalize;
    padding-left: 10px;
    animation: colorChange 10s infinite;
}

@keyframes colorChange {
    0% { color: #02e6ff; }
    50% { color: #ff6347; }
    100% { color: #d900ff; }
}




.body p {
    color: #fff;
    font-size: 20px;
    margin-bottom: 10px;
    font-family: 'content';
}

.lienket_xahoi {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 34px;
    margin-top: 50px;
    font-family: 'content';
    
}

.lienket_xahoi img {
    width: 40px;
    height: 40px;
    box-shadow: 0 0 5px #0debff;

}
.lienket_xahoi img:hover {
    transform: scale(1.3);
    border-radius: 50%;
    box-shadow: 0 0 5px #0debff;

}
.thongtin {
    justify-content: center;
    align-items: center;
    gap: 20px;
    margin-top: 50px;
    width: 45%;
}
.dichvu {
    text-align: center; 
    opacity: 0;
    animation: slideInDown 1s forwards;
}
@keyframes slideInDown {
    from {
        transform: translateY(-100%);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}
  .dichvu h3 {
    margin-bottom: 20px; 
    font-family: 'name2';
    color: #fff;
  }
  
  
  .itemdichvu {
    display: flex;
    flex-wrap: wrap; 
    justify-content: space-around;
  }
  
  
  .item {
    border-radius: 50px; 
    padding: 20px; 
    display: flex;
    flex-direction: column; 
    width: 250px; 
    box-shadow: 0 2px 5px rgba(255, 255, 255, 0.8); 
    transition: transform 0.2s ease-in-out;
    gap: 20px;
    align-items: center;
    justify-content: center;
    height: 300px;
    margin-top: 30px;
  }
  
  .item:hover {
    transform: scale(1.2); 
    box-shadow: 0 0 5px #0debff;

  }
  
  .item img {
    width: 100px; 
    height: auto; 
    margin-bottom: 10px;
  }
  
  .content {
    text-align: center; /* Center content within the item */
  }
  
  .content h4 {
    margin-bottom: 10px;
    color: #fff;
    font-family: 'name';
    
  }
  
  .content p {
    font-size: 16px;
    color: #4bdbff;
    font-family: 'name2';
  }
  .footer {
    background-color: #1c1c1c;
    color: #fff;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    height: 80px;
    align-items: center;
    width: 100%;
    height: 100px;
    margin-top: 50px;
  }
 
  /*cho dòng p sang bên phải cuối màn hình*/
  .dichvu a {
    font-family: 'content';
    margin-left: 80%;
    font-style: italic;
    color: #a1a1a1;
    margin-bottom: 40px;
    text-decoration: none;

  }



  .cursor{
    justify-content: center;
    align-items: center;
    z-index: 999;
    background-color: #0debff;
    width: 13px;
    height: 13px;
    position: fixed;
    border-radius: 50%;
    pointer-events: none;
    box-shadow: 0 0 13px #0debff,
                0 0 30px #0debff,
                0 0 50px #0debff,
                0 0 70px #0debff,
                0 0 80px #0debff;
                animation: colors 5s infinite;
  }
  @keyframes colors{
    0%{
        filter: hue-rotate(0deg);
    }
    100%{
        filter: hue-rotate(360deg);
    }
  }

  
@font-face {
    font-family: 'ten';
    src: url('./font/GreatVibes-Regular.ttf');

}

@font-face {
    font-family: 'ten2';
    src: url('./font/NoticiaText-BoldItalic.ttf');

}
@font-face {
    font-family: 'name';
    src: url('./font/font_name.ttf');

}
@font-face {
    font-family: 'name2';
    src: url('./font/nghieng.ttf');

}
@font-face {
    font-family: 'content';
    src: url('./font/DMSans_36pt-Light.ttf');

}


.menu-icon {
    width: 30px; 
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.menu-icon img {
    width: 100%;
    height: 100%;
}

.menu-icon{
    display: none;
}


@media only screen and (max-width: 600px) {
    .menu-icon {
        display: block; /* Hiển thị menu như một khối khi thu nhỏ */
        text-align: center; /* Căn giữa menu */
      }
     
    
      .lienket {
        display: none; /* Ẩn menu khi thu nhỏ */
          

      }
    
      .menu-icon img {
        cursor: pointer; /* Hiển thị con trỏ chuột khi di chuột qua menu */
      }
    
    
    /* Menu responsive khi menu được mở */
    .lienket.active {
      display: flex; /* Hiển thị menu khi được mở */
      flex-direction: column; /* Chuyển đổi menu thành hàng dọc */
      position: absolute; /* Đặt menu ở vị trí tuyệt đối */
      width: 186px;
      height: auto;
      top: 45px; /* Đặt menu cách header 80px */
        right: 0; /* Đặt menu ở phía bên phải */
        align-items: start;
        background-color: #181818;
        padding: 15px;
        margin: 10px;
        border-radius: 10px;
        gap: 10px;
        box-shadow:0 0 2px #02e6ff;
    }
    



    .search {
       width: 100px;
    }

    .header {
        padding: 10px;
        height: 60px;
    }

    .logo img {
        width: 120px; /* Thay đổi kích thước logo */
    }

    .body {
        padding: 20px;
        height: 390px;
    }

    .topline {
        font-size: 20px; /* Thay đổi kích thước chữ của phần tiêu đề */
    }

    .cols h1 {
        font-size: 0.9em; /* Thay đổi kích thước chữ của phần tiêu đề */

    }

    .wrapper {
        width: 100%; /* Thu nhỏ kích thước phần wrapper */
        margin: 0 auto; /* Căn giữa wrapper */
    }
    .thongtin p{
        font-size: 14px;
    }

    .item {
        width: 210px; /* Thu nhỏ kích thước các item */
        margin-bottom: 5%;
        margin-right:5%;
    }
    .item h4{
        font-size: 15px;
        padding-bottom: 8px;
    }
    .item p{
        font-size: 13px;

    }
 
 
    #logoservice {
        width: 170px;
        margin-left: 7%;
    }
    .lienket_xahoi img{
        width: 30px;
        height: 30px;
    }
    .dichvu h3{
        font-size: 16px;
    }
    .itemdichvu{
        width: 100%;
        height: auto;
        align-items: center;
        justify-content: center;
    }
    .footer p {
        font-size: 12px;
    }
    .cursor{
        display: none;
    }
    .item_results {
        width: 270px;
        height: 97px;
        display: none; /* Ẩn kết quả ban đầu */
        position: absolute;
        left: 24%;
      
    }
    .item_results img {
        max-width: 60px; /* Đặt chiều rộng tối đa cho hình ảnh */
        height: auto; /* Chiều cao tự động điều chỉnh */
        margin-right: 10px; /* Khoảng cách giữa hình ảnh và nội dung */
        margin-bottom: 15px; /* Khoảng cách dưới hình ảnh */
    }
    .search-result-item{
        width: 250px;
        height: 97px;
    }
}


  